<?php
	if( $docroot == '' ){
		die( _("Accesso negato!") );
	}
	
	
	function scadenze($idanagrafica){
	global $dbo;
	$year=date('Y');
	$month=date('m');	
	$rw = $dbo->fetchArray( "SELECT * , co_scadenziario.id as id_scad  ,co_documenti.id as id_doc , co_tipidocumento.descrizione as des_doc
	FROM (co_scadenziario INNER JOIN (((co_documenti INNER JOIN an_anagrafiche ON co_documenti.idanagrafica=an_anagrafiche.idanagrafica) 
	INNER JOIN co_pagamenti ON co_documenti.idpagamento=co_pagamenti.id) 
	INNER JOIN co_tipidocumento ON co_documenti.idtipodocumento=co_tipidocumento.id) ON co_scadenziario.iddocumento=co_documenti.id) 
	INNER JOIN co_statidocumento ON co_documenti.idstatodocumento=co_statidocumento.id HAVING 1=1 AND (ABS(`pagato`) < ABS(`da_pagare`) ) 
	and co_documenti.idanagrafica='".$idanagrafica."' 
	ORDER BY `scadenza` ASC");		
	for($i = 0; $i < sizeof($rw); $i ++) {				
		$sale_id=$rw[$i][id_scad];		
		$sale_number=$rw[$i]['numero'];
		$sale_number_esterno=$rw[$i]['numero_esterno'];
		$idanagrafica=$rw[$i]['idanagrafica'];
		$customer_name=$rw[$i]['ragione_sociale'];
		$descrizione=$rw[$i]['des_doc'];
		$date_added=$rw[$i]['scadenza'];
		list($date,$hora)=explode(" ",$date_added);
		list($Y,$m,$d)=explode("-",$date);
		$data=$d."-".$m."-".$Y;
		$total=$rw[$i]['da_pagare']  ;
		$pagato=$rw[$i]['pagato']  ;
			
		?>
	<tr>
        <td><a href="editor.php?id_module=18&id_record=<?php echo $sale_id;?>"><?php echo $i +1;?></a></td>
		<td><a href="editor.php?id_module=14&id_record=<?php echo $rw[$i][id_doc];?>"><?php echo $sale_number;?></a></td>
		<td><?php echo $sale_number_esterno;?></td>   
		<td><?php echo $descrizione;?></td>     	
        <td><?php echo date( "d/m/Y", strtotime($rw[$i]['scadenza']));?></td>
        <td><?php echo number_format($total,2);?></td>
		 <td><?php echo number_format($pagato,2);?></td>
    </tr>
		<?php
			;
	}
	
	function storico_transazioni($idanagrafica){	
		global $dbo;
		$rw = $dbo->fetchArray( "select  * from co_documenti where idanagrafica='".$idanagrafica."' order by id , data");
		for($i = 0; $i < sizeof($rw); $i ++) {				
			$sale_id=$rw[$i][id];	
			$data_transazione=$rw[$i][data];
			$data_transazione=date("d/m/Y", strtotime($data_transazione));
			$rw_transazione = $dbo->fetchArray( "select  *  from co_documenti where id='".$sale_id."'  ");								
			$rw_tot = $dbo->fetchArray( "select  SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) as totale  FROM co_righe_documenti  where iddocumento = $sale_id ");				
			$customer_name=username_name($_SESSION['idutente'],"username");
			$descrizione=get_var_tipodoc2($sale_id,"descrizione");
			$num_cod=$rw_transazione[0]['numero_documento'];
			$date_added=$rw_transazione[0]['data'];
			
			list($date,$hora)=explode(" ",$date_added);
			list($Y,$m,$d)=explode("-",$date);
			$data=$d."-".$m."-".$Y;
			$total=$rw_tot[0]['totale'] +$rw_transazione[$i]['bollo'] + $rw_transazione[$i]['iva_rivalsainps'] ;
			
			?>
		<tr>	
			<td><a class='btn btn-sm btn-info' href="editor.php?id_module=14&id_record=<?php echo $sale_id;?>"><i class='fa fa-search'></a></td>
			<td><?php echo $customer_name;?></td>
			<td><?php echo $data_transazione;?></td>			
			<td><?php echo $num_cod;?></td>
			<td><?php echo $descrizione;?></td>
			<td><?php echo $data;?></td>
			
			<td class='text-right'><?php echo number_format($total,2);?></td>
		</tr>
			<?php
				;
		}
	}

	function sum_purchases_month($month,$ida_ana){
	
		global $dbo;
		$year=date('Y');	
		$rw = $dbo->fetchArray( "select SUM(subtotale - co_righe_documenti.sconto + iva + co_righe_documenti.rivalsainps - co_righe_documenti.ritenutaacconto) as totale  FROM co_righe_documenti
		left join co_documenti on co_righe_documenti.iddocumento=co_documenti.id
		left join co_tipidocumento on co_documenti.idtipodocumento=co_tipidocumento.id	
		where co_tipidocumento.dir='uscita' and co_tipidocumento.mod_sta='1' and year(co_documenti.data) = '$year' and month(co_documenti.data)= '$month' and idanagrafica='".$ida_ana."'");		
		$rw1 = $dbo->fetchArray( "select SUM(bollo + iva_rivalsainps) as totale  FROM co_documenti
		left join co_tipidocumento on co_documenti.idtipodocumento=co_tipidocumento.id	
		where co_tipidocumento.dir='uscita'  and co_tipidocumento.mod_sta='1' and year(co_documenti.data) = '$year' and month(co_documenti.data)= '$month' and idanagrafica='".$ida_ana."'");	
		echo $total=number_format($rw[0]['totale'] + $rw1[0]['totale'] ,2,'.','');
	}


	function sum_sales_month($month,$ida_ana){
		global $dbo;
		$year=date('Y');
		
		$rw = $dbo->fetchArray( "select SUM(subtotale - co_righe_documenti.sconto + iva + co_righe_documenti.rivalsainps - co_righe_documenti.ritenutaacconto) as totale  FROM co_righe_documenti
		left join co_documenti on co_righe_documenti.iddocumento=co_documenti.id
		left join co_tipidocumento on co_documenti.idtipodocumento=co_tipidocumento.id	
		where co_tipidocumento.dir='entrata'  and co_tipidocumento.mod_sta='1' and year(co_documenti.data) = '$year' and month(co_documenti.data)= '$month' and idanagrafica='".$ida_ana."'");
		$rw1 = $dbo->fetchArray( "select SUM(bollo + iva_rivalsainps) as totale  FROM co_documenti
		left join co_tipidocumento on co_documenti.idtipodocumento=co_tipidocumento.id	
		where co_tipidocumento.dir='uscita'  and co_tipidocumento.mod_sta='1' and year(co_documenti.data) = '$year' and month(co_documenti.data)= '$month' and idanagrafica='".$ida_ana."'");
		echo $total=number_format($rw[0]['totale'] + $rw1[0]['totale'] ,2,'.','');
	}


	
}
	function add_storico($idanagrafica,$descrizione){
		global $dbo;
		$dbo->query("INSERT INTO zz_log_anagrafiche( idanagrafica, idutente,data_log,username,descrizione ) VALUES( \"".$idanagrafica."\", \"".$_SESSION['idutente']."\",NOW(),\"".$_SESSION['username']."\",\"".$descrizione."\" )");
	}
	
	
	
	
?>
